import request from '@/utils/request'

// 查询巡检计划人员关系列表
export function listUser(query) {
  return request({
    url: '/qdtl/planUser/list',
    method: 'get',
    params: query
  })
}

// 查询巡检计划人员关系详细
export function getUser(id) {
  return request({
    url: '/qdtl/planUser/' + id,
    method: 'get'
  })
}

// 新增巡检计划人员关系
export function addUser(data) {
  return request({
    url: '/qdtl/planUser',
    method: 'post',
    data: data
  })
}

// 修改巡检计划人员关系
export function updateUser(data) {
  return request({
    url: '/qdtl/planUser',
    method: 'put',
    data: data
  })
}

// 删除巡检计划人员关系
export function delUser(id) {
  return request({
    url: '/qdtl/planUser/' + id,
    method: 'delete'
  })
}
